org.apache.hc.client5.http.cookie

## Class MalformedCookieException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.hc.core5.http.HttpException
      - - org.apache.hc.core5.http.ProtocolException
        - - org.apache.hc.client5.http.cookie.MalformedCookieException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  CookieRestrictionViolationException

    @Immutable
    public class MalformedCookieException
    extends org.apache.hc.core5.http.ProtocolException

Signals that a cookie is in some way invalid or illegal in a given context

Since:
  4.0
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MalformedCookieException()` Creates a new MalformedCookieException with a `null` detail message.
`MalformedCookieException(String message)` Creates a new MalformedCookieException with a specified message string.
`MalformedCookieException(String message, Throwable cause)` Creates a new MalformedCookieException with the specified detail message and cause.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MalformedCookieException

    public MalformedCookieException()

Creates a new MalformedCookieException with a `null` detail message.

#### MalformedCookieException

    public MalformedCookieException(String message)

Creates a new MalformedCookieException with a specified message string.

Parameters:
  `message` - The exception detail message

#### MalformedCookieException

    public MalformedCookieException(String message,
                            Throwable cause)

Creates a new MalformedCookieException with the specified detail message and cause.

Parameters:
  `message` - the exception detail message
  `cause` - the `Throwable` that caused this exception, or `null` if the cause is unavailable, unknown, or not a `Throwable`